# Projekt 2

## Jak Rozpocząć?
1. Pobierz repozytorium.
2. Przejdź do głównego katalogu repozytorium.
3. W terminalu wpisz `./start.sh`.
4. Zostanie utworzony kontener Docker z bazą danych PostgreSQL, która zostanie zainicjalizowana danymi z pliku `init_db.sql`.
5. Teraz można uruchomić plik `main.java`, który wykona operacje SELECT i INSERT na bazie danych.

## Baza danych
Poniżej znajduje sie diagram przedstawiający tabele i relacje w bazie danych.<br><br>
![PRA diagram](diagram.png)


### Problemy
Jeżeli skrypt `./start.sh` nie zadziała proszę wykona nastepujae czynnosci:
1. W terminalu wpisz
- `docker-compose up -d`
- `docker cp $SQL_FILE $CONTAINER_NAME:/init_db.sql`
- `docker exec -it $CONTAINER_NAME sh -c "psql -U devuser -d pra_db -f /init_db.sql"`
  (gdzie CONTAINER_NAME="pra-db"
SQL_FILE="init_db.sql")
